com.h3c.of.ctl

## Interface ConnectionDetails

-     public interface ConnectionDetails

  Represents information about a specific "OpenFlow connection" (a network connection to a datapath, with a given auxiliary id), as part of an "OpenFlow channel" (the set of all connections to a given datapath).

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `auxId()` Returns the auxiliary id (u8) of this connection.
    `DataPathId` | `dpid()` The id of the datapath to which this is a connection.
    `OfmFeaturesReply` | `features()` Returns the OpenFlow FEATURES_REPLY message that the datapath issued during its handshake with the controller (on this connection).
    `OfmHello` | `helloIn()` A reference to the OpenFlow HELLO message received by the controller from the datapath.
    `OfmHello` | `helloOut()` A reference to the OpenFlow HELLO message sent from the controller to the datapath.
    `long` | `lastMessageAt()` Returns the time of the last message received from the datapath (on this connection).
    `ProtocolVersion` | `negotiated()` Returns the version of the OpenFlow protocol that the datapath has negotiated with the controller, via the exchange of HELLO messages.
    `long` | `readyAt()` Returns the time at which the datapath completed the handshake with the controller (on this connection).
    `IpAddress` | `remoteAddress()` Returns the IP address of the switch (on this connection).
    `PortNumber` | `remotePort()` Returns the TCP port (on this connection).

- - ### Method Detail

    - #### dpid

          DataPathId dpid()

      The id of the datapath to which this is a connection.
      Returns:
        the dpid

    - #### helloOut

          OfmHello helloOut()

      A reference to the OpenFlow HELLO message sent from the controller to the datapath. This will be `null` until the message has been sent.
      Returns:
        the outgoing HELLO message

    - #### helloIn

          OfmHello helloIn()

      A reference to the OpenFlow HELLO message received by the controller from the datapath. This will be `null` until the message has been received.
      Returns:
        the incoming HELLO message

    - #### negotiated

          ProtocolVersion negotiated()

      Returns the version of the OpenFlow protocol that the datapath has negotiated with the controller, via the exchange of HELLO messages.
      Returns:
        the negotiated protocol version

    - #### features

          OfmFeaturesReply features()

      Returns the OpenFlow FEATURES_REPLY message that the datapath issued during its handshake with the controller (on this connection).
      Returns:
        the features-reply message

    - #### auxId

          int auxId()

      Returns the auxiliary id (u8) of this connection. The "main" connection will return 0; all "auxiliary" connections will return non-zero.
      Returns:
        the auxiliary id

    - #### readyAt

          long readyAt()

      Returns the time at which the datapath completed the handshake with the controller (on this connection).
      Returns:
        the "ready" timestamp

    - #### lastMessageAt

          long lastMessageAt()

      Returns the time of the last message received from the datapath (on this connection).
      Returns:
        the "last message" timestamp

    - #### remoteAddress

          IpAddress remoteAddress()

      Returns the IP address of the switch (on this connection).
      Returns:
        the switch IP address

    - #### remotePort

          PortNumber remotePort()

      Returns the TCP port (on this connection).
      Returns:
        the switch TCP port

Copyright © 2014. All Rights Reserved.